import { EventEmitter } from '@angular/core';
import { PoModalComponent, PoNotificationService } from '@po-ui/ng-components';
import { SessionIdApi } from '../../../core/http/session-id.api';
import { SignalRService } from '../../../core/services';
import { ButtonDocumentModel, DocumentResponse } from '../../../shared/model';
import * as i0 from "@angular/core";
export declare class TotvsVisionOcrQRCodeComponent {
    private signalRService;
    private sessionIdApi;
    private poNotificationService;
    host: string;
    tokenHost: string;
    listButtonsDocument: Array<ButtonDocumentModel>;
    informacaoEnviada: EventEmitter<{
        menssagem: Array<DocumentResponse>;
        uniqueKey: number;
    }>;
    loading: boolean;
    screenLock: boolean;
    sessionID: string | null;
    sessionTimeLeft: string;
    myAngularxQrCode: string;
    countdownInterval: any;
    ngOnDestroy(): void;
    ngOnInit(): void;
    qrCodeModal?: PoModalComponent;
    closeQrCodeModal(): void;
    openQrCodeModal(): void;
    constructor(signalRService: SignalRService, sessionIdApi: SessionIdApi, poNotificationService: PoNotificationService);
    private initializeSignalRConnection;
    private joinSession;
    validateSession(): void;
    getSessionID(): void;
    private startCountdown;
    private clearSessionID;
    static ɵfac: i0.ɵɵFactoryDeclaration<TotvsVisionOcrQRCodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TotvsVisionOcrQRCodeComponent, "totvs-vision-ocr-qr-code", never, { "host": { "alias": "host"; "required": false; }; "tokenHost": { "alias": "tokenHost"; "required": false; }; "listButtonsDocument": { "alias": "listButtonsDocument"; "required": false; }; }, { "informacaoEnviada": "informacaoEnviada"; }, never, never, true, never>;
}
